# C++ keyword: `transaction_safe_dynamic` (TM TS)

From cppreference.com
< cpp‎ | keyword

### Usage

- Indicates that a virtual function is transaction-safe (TM TS)

### References

- Transactional Memory TS (ISO/IEC TS 19841:2015):

  - 8.3.5 Functions [dcl.fct] (p: 16)

  - 8.4.4 Transaction-safe function definitions [dcl.fct.def.tx]

### See also

- `atomic_cancel` (TM TS)
- `atomic_commit` (TM TS)
- `atomic_noexcept` (TM TS)
- `synchronized` (TM TS)
- `transaction_safe` (TM TS)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/transaction_safe_dynamic&oldid=174732"